### Hierarchy

- URL

## Index

### Properties

- hash
- host
- hostname
- href
- origin
- password
- pathname
- port
- protocol
- search
- searchParams
- username

### Methods

- toJSON

## Properties

### hash

hash: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15066

### host

host: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15067

### hostname

hostname: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15068

### href

href: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15069

### origin

origin: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15070

### password

password: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15071

### pathname

pathname: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15072

### port

port: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15073

### protocol

protocol: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15074

### search

search: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15075

### searchParams

searchParams: URLSearchParams

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15076

### username

username: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15077

## Methods

### toJSON

- toJSON(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15078

  #### Returns string

Generated using TypeDoc